Bug 187649 - [ WK2 ] Layout Test editing/selection/update-selection-by-style-change.html is flaky
Summary: [ WK2 ] Layout Test editing/selection/update-selection-by-style-change.html i...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-07-13 11:06 PDT by Truitt Savell
Modified: 2018-08-01 14:35 PDT (History)
7 users (show)

See Also:


Attachments
Update TestExpectations (1.39 KB, patch)
2018-07-13 11:27 PDT, Truitt Savell
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.80 MB, application/zip)
2018-07-13 13:06 PDT, Build Bot
no flags Details
Fix attempt (1.24 KB, patch)
2018-07-16 20:04 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fix attempt (1.89 KB, patch)
2018-07-16 20:12 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fix attempt (1.89 KB, patch)
2018-07-16 20:28 PDT, Ryosuke Niwa
wenson_hsieh: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2018-07-13 11:06:00 PDT
The following layout test is failing on Sierra and High Sierra WK2

editing/selection/update-selection-by-style-change.html

Probable cause:

The image Diff shows that this fails when text fails to be highlighted. This test has been flakey for a while. It is highly intermittent. 

Image Diff Link:
https://build.webkit.org/results/Apple%20High%20Sierra%20Release%20WK2%20(Tests)/r233799%20(5617)/editing/selection/update-selection-by-style-change-diffs.html

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=editing%2Fselection%2Fupdate-selection-by-style-change.html
Comment 1 Truitt Savell 2018-07-13 11:27:39 PDT
Created attachment 344960 [details]
Update TestExpectations
Comment 2 Build Bot 2018-07-13 13:05:55 PDT
Comment on attachment 344960 [details]
Update TestExpectations

Attachment 344960 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8527388

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-audio.html
Comment 3 Build Bot 2018-07-13 13:06:06 PDT
Created attachment 344969 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 4 Ryan Haddad 2018-07-13 13:17:10 PDT
Comment on attachment 344960 [details]
Update TestExpectations

Clearing flags on attachment: 344960

Committed r233813: <https://trac.webkit.org/changeset/233813>
Comment 5 Ryosuke Niwa 2018-07-16 20:04:55 PDT
Created attachment 345141 [details]
Fix attempt
Comment 6 Ryosuke Niwa 2018-07-16 20:12:27 PDT
Created attachment 345143 [details]
Fix attempt
Comment 7 Ryosuke Niwa 2018-07-16 20:28:26 PDT
Created attachment 345146 [details]
Fix attempt
Comment 8 Ryosuke Niwa 2018-07-16 20:33:16 PDT
Committed r233880: <https://trac.webkit.org/changeset/233880>
Comment 9 Radar WebKit Bug Importer 2018-07-16 20:35:11 PDT
<rdar://problem/42269910>
Comment 10 Dawei Fenton (:realdawei) 2018-08-01 14:35:57 PDT
Test editing/selection/update-selection-by-style-change.html continues to be flaky, so I re-marked it as such: 

https://trac.webkit.org/changeset/234479/webkit